Vai al contenuto principale
POST
/
audio
/
retrieve
/api/v1/audio/retrieve
curl --request POST \
  --url https://api.venice.ai/api/v1/audio/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "elevenlabs-music",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000",
  "delete_media_on_completion": false
}
'
{
  "status": "PROCESSING",
  "average_execution_time": 20000,
  "execution_duration": 5200
}
Usa il queue_id restituito da /audio/queue per controllare lo stato della generazione. Quando la richiesta è completata, questo endpoint restituisce i dati audio generati.

Postman Collection

Per ulteriori esempi, consulta questa Postman Collection.

Autorizzazioni

Authorization
string
header
obbligatorio

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corpo

application/json
model
string
obbligatorio

The ID of the model used for audio generation.

Esempio:

"elevenlabs-music"

queue_id
string
obbligatorio

The ID of the audio generation request. Use this to poll for status and retrieve the result.

Esempio:

"123e4567-e89b-12d3-a456-426614174000"

delete_media_on_completion
boolean
predefinito:false

If true, the audio media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the audio.

Esempio:

false

Risposta

Audio generation status or completed audio

status
enum<string>
obbligatorio

The status of the audio generation request.

Opzioni disponibili:
PROCESSING
Esempio:

"PROCESSING"

average_execution_time
number
obbligatorio

The estimated execution time of the audio generation request in milliseconds (P80).

Esempio:

20000

execution_duration
number
obbligatorio

The current duration of the audio generation request in milliseconds.

Esempio:

5200